Subject: Re: linux-next: build warning in Linus' tree

From: Andrey Ryabinin <[email-masked]>
Date: Sun, 30 Oct 2016 22:05:03 +0300

On 10/30/2016 12:29 AM, Geert Uytterhoeven wrote:
> Hi Linus,
> 
> On Fri, Oct 28, 2016 at 1:01 AM, Linus Torvalds
> <[email-masked]> wrote:
>> On Thu, Oct 27, 2016 at 3:48 PM, Linus Torvalds
>> <[email-masked]> wrote:
>>>
>>> I wonder if we should make KASAN depend on !COMPILE_TEST, because it
>>> does seem to disable a lot of build-time testing.
>>
>> Actually, we should probably just make the MEMORY_HOTPLUG dependency be
>>
>>         depends on COMPILE_TEST || !KASAN
>>
>> since the memory-hotplug code should still *build* with KASAN, it just
>> doesn't work. That's exactly what the COMPILE_TEST config option is
>> there for - to get build coverage even for things that aren't
>> necessarily sane to run.
> 
> In what way does it not work? Does it crash?

It doesn't crash, it will fail to online hotpluged memory.
Originally, we didn't have build-time dependency at all.
It appeared quite recently in 1e185736d214("mm: disable CONFIG_MEMORY_HOTPLUG when KASAN is enabled")

> People do run COMPILE_TEST=y/allmodconfig kernels.
> 
> Gr{oetje,eeting}s,
> 
>                         Geert
> 
> --
> Geert Uytterhoeven -- There's lots of Linux beyond ia32 -- [email-masked]
> 
> In personal conversations with technical people, I call myself a hacker. But
> when I'm talking to journalists I just say "programmer" or something like that.
>                                 -- Linus Torvalds
>